- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1c11eb40-3c0d-4667-ab74-7f5f9485d05d
    creation_time: 2023-02-17T12:05:18.469377Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/array_4.i
      input_file_hashes:
        c/loop-acceleration/array_4.i: e8c27e61ac5d5a22c0e00a5dbac1b872460567877a501387ed9d5bda89096498
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/array_4.i
    file_hash: e8c27e61ac5d5a22c0e00a5dbac1b872460567877a501387ed9d5bda89096498
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: i < 1024 && A[1024-1] == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6b26f842-b20c-4bae-a405-0d62a6f554fd
    creation_time: 2023-02-17T12:05:18.469648Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/array_4.i
      input_file_hashes:
        c/loop-acceleration/array_4.i: e8c27e61ac5d5a22c0e00a5dbac1b872460567877a501387ed9d5bda89096498
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/array_4.i
    file_hash: e8c27e61ac5d5a22c0e00a5dbac1b872460567877a501387ed9d5bda89096498
    line: 32
    column: 0
    function: main
  location_invariant:
    string: i <= 1024
    type: assertion
    format: C

